<template>
  <div>
    <div class="auth__title">{{ $t('auth.welcome') }}</div>
    <div class="auth__description">
      {{ $t('auth.description') }}
    </div>
    <div class="auth__grid">
      <div class="auth__half">
        <Button :to="localePath('/auth/register')">
          {{ $t('auth.register') }}
        </Button>
      </div>
      <div class="auth__half">
        <Button :to="localePath('/auth/login')" variant="dark">
          {{ $t('auth.login') }}
        </Button>
      </div>
      <!-- <div class="auth__full">
        <Button class="auth__google" variant="light">
          <svg-icon name="google" />
          <span>{{ $t('auth.login_with_google') }}</span>
        </Button>
      </div> -->
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import Button from '@/components/ui/Button.vue'

export default defineComponent({
  layout: 'auth',
  name: 'AuthIndexPage',
  components: { Button }
})
</script>
